- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# MittelmannParaCntrl5_try::ProblemSpecs Class Reference

`#include <MittelmannParaCntrl.hpp>`

List of all members.

## Public Member Functions
| ProblemSpecs ()
Number | T ()
Number | l ()
Number | lb_y ()
Number | ub_y ()
Number | lb_u ()
Number | ub_u ()
Number | alpha ()
Number | beta ()
Number | y_T (Number x)
Number | a (Number x)
Number | a_y (Number t)
Number | a_u (Number t)
Number | b (Number t)
Number | phi (Number y)
Number | phi_dy (Number y)
Number | phi_dydy (Number y)
bool | phi_dydy_always_zero ()
## Private Attributes
const Number | pi_
const Number | exp13_
const Number | exp23_
const Number | exp1_
const Number | expm1_
const Number | sqrt2_

## Detailed Description

Definition at line 967 of file MittelmannParaCntrl.hpp.

## Constructor & Destructor Documentation

MittelmannParaCntrl5_try::ProblemSpecs::ProblemSpecs | ( |  | ) | `[inline]`

Definition at line 970 of file MittelmannParaCntrl.hpp.

## Member Function Documentation

Number MittelmannParaCntrl5_try::ProblemSpecs::T | ( |  | ) | `[inline]`

Definition at line 979 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_try::ProblemSpecs::l | ( |  | ) | `[inline]`

Definition at line 983 of file MittelmannParaCntrl.hpp.

References pi_.

Number MittelmannParaCntrl5_try::ProblemSpecs::lb_y | ( |  | ) | `[inline]`

Definition at line 987 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_try::ProblemSpecs::ub_y | ( |  | ) | `[inline]`

Definition at line 991 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_try::ProblemSpecs::lb_u | ( |  | ) | `[inline]`

Definition at line 995 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_try::ProblemSpecs::ub_u | ( |  | ) | `[inline]`

Definition at line 999 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_try::ProblemSpecs::alpha | ( |  | ) | `[inline]`

Definition at line 1003 of file MittelmannParaCntrl.hpp.

References exp13_, exp23_, and sqrt2_.

Number MittelmannParaCntrl5_try::ProblemSpecs::beta | ( |  | ) | `[inline]`

Definition at line 1007 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_try::ProblemSpecs::y_T | ( | Number | x | ) | `[inline]`

Definition at line 1011 of file MittelmannParaCntrl.hpp.

References exp1_, and expm1_.

Number MittelmannParaCntrl5_try::ProblemSpecs::a | ( | Number | x | ) | `[inline]`

Definition at line 1015 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_try::ProblemSpecs::a_y | ( | Number | t | ) | `[inline]`

Definition at line 1019 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_try::ProblemSpecs::a_u | ( | Number | t | ) | `[inline]`

Definition at line 1023 of file MittelmannParaCntrl.hpp.

References exp13_, and sqrt2_.

Number MittelmannParaCntrl5_try::ProblemSpecs::b | ( | Number | t | ) | `[inline]`

Definition at line 1027 of file MittelmannParaCntrl.hpp.

References exp13_, exp23_, Ipopt::Max(), and Ipopt::Min().

Number MittelmannParaCntrl5_try::ProblemSpecs::phi | ( | Number | y | ) | `[inline]`

Definition at line 1032 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_try::ProblemSpecs::phi_dy | ( | Number | y | ) | `[inline]`

Definition at line 1036 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_try::ProblemSpecs::phi_dydy | ( | Number | y | ) | `[inline]`

Definition at line 1040 of file MittelmannParaCntrl.hpp.

bool MittelmannParaCntrl5_try::ProblemSpecs::phi_dydy_always_zero | ( |  | ) | `[inline]`

Definition at line 1044 of file MittelmannParaCntrl.hpp.

## Member Data Documentation

const Number MittelmannParaCntrl5_try::ProblemSpecs::pi_`[private]`

Definition at line 1049 of file MittelmannParaCntrl.hpp.

Referenced by l().

const Number MittelmannParaCntrl5_try::ProblemSpecs::exp13_`[private]`

Definition at line 1050 of file MittelmannParaCntrl.hpp.

Referenced by a_u(), alpha(), and b().

const Number MittelmannParaCntrl5_try::ProblemSpecs::exp23_`[private]`

Definition at line 1051 of file MittelmannParaCntrl.hpp.

Referenced by alpha(), and b().

const Number MittelmannParaCntrl5_try::ProblemSpecs::exp1_`[private]`

Definition at line 1052 of file MittelmannParaCntrl.hpp.

Referenced by y_T().

const Number MittelmannParaCntrl5_try::ProblemSpecs::expm1_`[private]`

Definition at line 1053 of file MittelmannParaCntrl.hpp.

Referenced by y_T().

const Number MittelmannParaCntrl5_try::ProblemSpecs::sqrt2_`[private]`

Definition at line 1054 of file MittelmannParaCntrl.hpp.

Referenced by a_u(), and alpha().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.2.1/Ipopt/examples/ScalableProblems/MittelmannParaCntrl.hpp